# tagkit documentation

[![GitHub](https://img.shields.io/badge/GitHub-rvforest%2Ftagkit-blue?logo=github)](https://github.com/rvforest/tagkit)
[![PyPI](https://img.shields.io/pypi/v/tagkit.svg)](https://pypi.org/project/tagkit/)
[![License](https://img.shields.io/github/license/rvforest/tagkit)](https://github.com/rvforest/tagkit/blob/main/LICENSE)

Welcome to the documentation for **tagkit**, a Python library for reading, writing, and managing image tags and EXIF metadata in Python projects.

Tagkit provides a simple API, CLI, and extensible backend system for working with EXIF data in images.

```{toctree}
:maxdepth: 1
:caption: Getting Started:
:hidden:

getting_started/installation.md
getting_started/quickstart.md

```

```{toctree}
:maxdepth: 1
:caption: User Guide:
:hidden:

user_guide/cli.md
user_guide/reading.md
user_guide/writing.md
user_guide/batch_processing.md
```

```{toctree}
:maxdepth: 1
:caption: Reference:
:hidden:

apidocs/index
reference/tag_reference.md
```

```{toctree}
:maxdepth: 1
:caption: Development:
:hidden:

development/contributing.md
development/development_guide.md
```
